{
  "schema_version": "1.4.0",
  "id": "GHSA-7ggx-433r-mhfg",
  "modified": "2022-05-13T01:24:34Z",
  "published": "2022-05-13T01:24:34Z",
  "aliases": [
    "CVE-2016-2061"
  ],
  "details": "Integer signedness error in the MSM V4L2 video driver for the Linux kernel 3.x, as used in Qualcomm Innovation Center (QuIC) Android contributions for MSM devices and other products, allows attackers to gain privileges or cause a denial of service (array overflow and memory corruption) via a crafted application that triggers an msm_isp_axi_create_stream call.",
  "severity": [
    {
      "type": "CVSS_V3",
      "score": "CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H"
    }
  ],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2016-2061"
    },
    {
      "type": "WEB",
      "url": "https://us.codeaurora.org/cgit/quic/la//kernel/msm-3.18/commit/id=79db14ca9f791a14be9376a0340ad3b9b9a4d603"
    },
    {
      "type": "WEB",
      "url": "https://www.codeaurora.org/array-overflow-msm-v4l2-video-driver-allows-kernel-memory-corruption-cve-2016-2061"
    },
    {
      "type": "WEB",
      "url": "http://source.android.com/security/bulletin/2016-06-01.html"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-269"
    ],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2016-06-13T01:59:00Z"
  }
}